// Fichero de POVRAY 3 por:
// POVRAY 3 file by:
//  Guillermo S. Romero

// E-mail:     famrom@ran.es
// Snail-mail: P.O.Box 35099-28080 Madrid (Espaa)

// Este fichero contiene:
//  Generador de ventanas.
//--
// This file contains:
//  Window generator.

// ** IMPORTANT ** Wrong use can cause errors, I decline ALL responsability.
// INCLUDE FLAGS
//  ## No flags used ##
// For multiple "include"s of this file use multiple flags, think about this
//  condition as arguments required by functions.


#declare TempX = .5
#declare TempY = .5
#declare StepX = .5
#declare StepY = .5
#declare FrameSize = .065
#declare TubeSize = .02
#declare Window =
    union {
        box {
            <0, 0, -.01>, <WindowX, WindowY, .01>
            texture { T_WindowGlass }
        }
        union {
            box { // Frame (bottom)
                <0, 0, -.025>, <WindowX, FrameSize, .025>
            }
            box { // Frame (top)
                <0, WindowY - FrameSize, -.025>,
                <WindowX, WindowY, .025>
            }
            box { // Frame (left)
                <0, 0, -.025>, <FrameSize, WindowY, .025>
            }
            box { // Frame (right)
                <WindowX - FrameSize, 0, -.025>, <WindowX, WindowY, .025>
            }
          #while (TempX < WindowX-.001)
            cylinder {
                0, <0, WindowY, 0>, TubeSize
                scale 1
                translate <TempX, 0, 0>
              #declare TempX = TempX + StepX
            }
          #end
          #while (TempY < WindowY-.001)
            cylinder {
                0, <WindowX, 0, 0>, TubeSize
                scale 1
                translate <0, TempY, 0>
              #declare TempY = TempY + StepY
            }
          #end
            texture { T_WindowFrame }
        }
    }


// (C) Guillermo Sanz Romero
// Todos los derechos reservados.
// Si deseas utilizar la totalidad o parte de este fichero puedes hacerlo
//  mientras no sea con fines lucrativos.
// En caso de usarlo para publicidad, recopilaciones de software, inclusin
//  en revistas o alguna otra actividad que suponga una transaccin
//  remunerada (con cualquier tipo de bien, por lo que los trueques y los
//  premios de los concursos tambin quedan incluidos), debes ponerte en
//  contacto utilizando las direcciones de la cabezera para poder acordar las
//  condiciones que te permitan hacer dicho uso de los datos contenidos en
//  este fichero o los generados a partir de l, tanto descripciones de
//  imagenes como las imagenes en si, en cualquier formato y/o medio de
//  almacenamiento.
//--
// All rights reserved.
// If you want to use this file in is enterity or only parts of it you can do
//  it while it is a non-profitable purpose.
// In case of using it for advertisment, software recopilations, bunddling it
//  with magazines or another profitable transaction (any sort of profit, so
//  exchange and prizes won in contests are included), you must get in touch
//  with me through the addresses given above to reach an agreement about the
//  conditions to use the data here contained (this file) or build from it,
//  both new image descriptions and images, whatever the format and/or the
//  storage way.

// No dudes en escribirme si tienes alguna pregunta, tanto sobre la clusula
//  arriba expuesta como sobre el fichero de datos que describe las imgenes
//  y las imgenes en si.
// P.D.: los precios son razonables y el dinero esta destinado bsicamente
//  a mejorar mi ordenador y poder seguir creando ms imagenes.
//--
// Do not doubt to write me if you has any question, about the clausule 
//  written above or the descriptions and the images.
// P.S.: prices are reasonable and money is basically to improve my computer
//  so I can keep making more pictures.

// NOTA IMPORTANTE
//  Este es un extracto de la licencia completa (LICENSE.GSR), lee dicho
//  fichero para conocer todas las condiciones y clusulas.
//--
// IMPORTANT NOTE
//  This is an extract of the complete license (LICENSE.GSR), read that file
//  to know all the conditions and clausules.
